//============ Dragon Mount PE ============
//============        v1       ============
//===========Created by Wartave============


var DragonUpRenderType = Renderer.createHumanoidRenderer();
var DragonNormalRenderType = Renderer.createHumanoidRenderer();
var DragonDownRenderType = Renderer.createHumanoidRenderer();
var DragonStopRenderType = Renderer.createHumanoidRenderer();
var BabyDragonRenderType = Renderer.createHumanoidRenderer();
var BabyDragonHeadsRenderType = Renderer.createHumanoidRenderer();
var EggDragonRenderType = Renderer.createHumanoidRenderer();
//
var HeadsDragonDownRenderType = Renderer.createHumanoidRenderer();
var HeadsDragonNormalRenderType = Renderer.createHumanoidRenderer();
var HeadsDragonStopRenderType = Renderer.createHumanoidRenderer();
var HeadsDragonUpRenderType = Renderer.createHumanoidRenderer();

add2HeadsDragonUpRenderType(HeadsDragonUpRenderType);
add2HeadsDragonStopRenderType(HeadsDragonStopRenderType);
add2HeadsDragonNormalRenderType(HeadsDragonNormalRenderType);
add2HeadsDragonDownRenderType(HeadsDragonDownRenderType);
//
addEggDragonRenderType(EggDragonRenderType);
addBabyDragonRenderType(BabyDragonRenderType);
addBabyDragonHeadsRenderType(BabyDragonHeadsRenderType);
addDragonStopRenderType(DragonStopRenderType);
addDragonDownRenderType(DragonDownRenderType);
addDragonNormalRenderType(DragonNormalRenderType);
addDragonUpRenderType(DragonUpRenderType);
var DragonAether;
var DragonOcean;
var DragonBlaze;
var DragonCloud;
var DragonEnd;
var DragonJungle;
var DragonAnfisbaena;
var DragonAnfisbaenaDiamond;



var EggId=512;
ModPE.setItem(EggId,"DragonEgg",0,"Dragon Egg Empty");
Item.setCategory(EggId,ItemCategory.DECORATION);
Player.addItemCreativeInv(EggId,1,0);
Item.addShapedRecipe(EggId,1,0,["oto","tst","oto"],["s",344,0,"t",322,0,"o",49,0]);

var DragonsPet={
	Jungle:{
		BigEntity:[],
		BabyEntity:[],
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Jungle.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonJungle)-1||getPlayerX()>Entity.getX(DragonJungle)+1||getPlayerZ()<Entity.getZ(DragonJungle)-1||getPlayerZ()>Entity.getZ(DragonJungle)+1){
					DragonsPet.Jungle.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonJungle),Entity.getY(DragonJungle),Entity.getZ(DragonJungle),EntityType.IRON_GOLEM,"images/mob/DragonJungle.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonJungle));
					Entity.remove(DragonJungle);
					Entity.setMobSkin(poke,"images/mob/DragonJungle.png");
					Entity.setNameTag(poke, "Dragon Jungle");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}
				DragonsPet.Jungle.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonJungle ,1*xx);
				setVelY(DragonJungle,1*zz);
				setVelZ(DragonJungle,1*yy);		
				switch(DragonsPet.Jungle.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Jungle.DataAnim.Plane==false){
							Entity.setRenderType(DragonJungle,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Jungle.DataAnim.Plane==false){
							Entity.setRenderType(DragonJungle,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Jungle.DataAnim.Plane==false){
							Entity.setRenderType(DragonJungle,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Jungle.DataAnim.Plane==false){
									DragonsPet.Jungle.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Jungle.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Jungle.DataAnim.Plane==true){
				Entity.setRenderType(DragonJungle,DragonNormalRenderType.renderType);
				DragonsPet.Jungle.DataAnim.TimeP++
				if(DragonsPet.Jungle.DataAnim.TimeP==100){
					DragonsPet.Jungle.DataAnim.TimeP=0;
					DragonsPet.Jungle.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonJungle= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonJungle.png");
		Entity.setMaxHealth(DragonJungle, 1000);
		Entity.setHealth(DragonJungle,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonJungle,"images/mob/DragonJungle.png");
		Entity.setNameTag(DragonJungle, "Dragon Jungle Fly");			
		Entity.setRenderType(DragonJungle,DragonUpRenderType.renderType);					
		Entity.rideAnimal(Player.getEntity(),DragonJungle);
		DragonsPet.Jungle.DataAnim.Animate=true;
		}
	},
	End:{
		BigEntity:[],
		BabyEntity:[],
		
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.End.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonEnd)-1||getPlayerX()>Entity.getX(DragonEnd)+1||getPlayerZ()<Entity.getZ(DragonEnd)-1||getPlayerZ()>Entity.getZ(DragonEnd)+1){
					DragonsPet.End.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonEnd),Entity.getY(DragonEnd),Entity.getZ(DragonEnd),EntityType.IRON_GOLEM,"images/mob/DragonEnd.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonEnd));
					Entity.remove(DragonEnd);
					Entity.setMobSkin(poke,"images/mob/DragonEnd.png");
					Entity.setNameTag(poke, "Dragon End");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}
				DragonsPet.End.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonEnd ,1*xx);
				setVelY(DragonEnd,1*zz);
				setVelZ(DragonEnd,1*yy);		
				switch(DragonsPet.End.DataAnim.TimeR){
					case 3:
						if(DragonsPet.End.DataAnim.Plane==false){
							Entity.setRenderType(DragonEnd,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.End.DataAnim.Plane==false){
							Entity.setRenderType(DragonEnd,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.End.DataAnim.Plane==false){
							Entity.setRenderType(DragonEnd,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.End.DataAnim.Plane==false){
									DragonsPet.End.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.End.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.End.DataAnim.Plane==true){
				Entity.setRenderType(DragonEnd,DragonNormalRenderType.renderType);
				DragonsPet.End.DataAnim.TimeP++
				if(DragonsPet.End.DataAnim.TimeP==100){
					DragonsPet.End.DataAnim.TimeP=0;
					DragonsPet.End.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonEnd= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonEnd.png");
		Entity.setMaxHealth(DragonEnd, 1000);
		Entity.setHealth(DragonEnd,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonEnd,"images/mob/DragonEnd.png");
		Entity.setNameTag(DragonEnd, "Dragon End Fly");			
		Entity.setRenderType(DragonEnd,DragonUpRenderType.renderType);					
		Entity.rideAnimal(Player.getEntity(),DragonEnd);
		DragonsPet.End.DataAnim.Animate=true;
		}
	},		
	Cloud:{
		BigEntity:[],
		BabyEntity:[],
		
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Cloud.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonCloud)-1||getPlayerX()>Entity.getX(DragonCloud)+1||getPlayerZ()<Entity.getZ(DragonCloud)-1||getPlayerZ()>Entity.getZ(DragonCloud)+1){
					DragonsPet.Cloud.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonCloud),Entity.getY(DragonCloud),Entity.getZ(DragonCloud),EntityType.IRON_GOLEM,"images/mob/DragonCloud.png");
					Entity.setMaxHealth(poke, 300);
					Entity.setHealth(poke,Entity.getHealth(DragonCloud));
					Entity.remove(DragonCloud);
					Entity.setMobSkin(poke,"images/mob/DragonCloud.png");
					Entity.setNameTag(poke, "Dragon Cloud");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}
				DragonsPet.Cloud.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonCloud ,1*xx);
				setVelY(DragonCloud,1*zz);
				setVelZ(DragonCloud,1*yy);		
				switch(DragonsPet.Cloud.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Cloud.DataAnim.Plane==false){
							Entity.setRenderType(DragonCloud,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Cloud.DataAnim.Plane==false){
							Entity.setRenderType(DragonCloud,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Cloud.DataAnim.Plane==false){
							Entity.setRenderType(DragonCloud,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Cloud.DataAnim.Plane==false){
									DragonsPet.Cloud.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Cloud.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Cloud.DataAnim.Plane==true){
				Entity.setRenderType(DragonCloud,DragonNormalRenderType.renderType);
				DragonsPet.Cloud.DataAnim.TimeP++
				if(DragonsPet.Cloud.DataAnim.TimeP==100){
					DragonsPet.Cloud.DataAnim.TimeP=0;
					DragonsPet.Cloud.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonCloud= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonCloud.png");
		Entity.setMaxHealth(DragonCloud, 300);
		Entity.setHealth(DragonCloud,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonCloud,"images/mob/DragonCloud.png");
		Entity.setNameTag(DragonCloud, "Dragon Cloud Fly");			
		Entity.setRenderType(DragonCloud,DragonUpRenderType.renderType);					
		Entity.rideAnimal(Player.getEntity(),DragonCloud);
		DragonsPet.Cloud.DataAnim.Animate=true;
		}
	},	
	Blaze:{
		BigEntity:[],
		BabyEntity:[],
		
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Blaze.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonBlaze)-1||getPlayerX()>Entity.getX(DragonBlaze)+1||getPlayerZ()<Entity.getZ(DragonBlaze)-1||getPlayerZ()>Entity.getZ(DragonBlaze)+1){
					DragonsPet.Blaze.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonBlaze),Entity.getY(DragonBlaze),Entity.getZ(DragonBlaze),EntityType.IRON_GOLEM,"images/mob/DragonBlaze.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonBlaze));
					Entity.remove(DragonBlaze);
					Entity.setMobSkin(poke,"images/mob/DragonBlaze.png");
					Entity.setNameTag(poke, "Dragon Blaze");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}
				DragonsPet.Blaze.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonBlaze ,1*xx);
				setVelY(DragonBlaze,1*zz);
				setVelZ(DragonBlaze,1*yy);		
				switch(DragonsPet.Blaze.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Blaze.DataAnim.Plane==false){
							Entity.setRenderType(DragonBlaze,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Blaze.DataAnim.Plane==false){
							Entity.setRenderType(DragonBlaze,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Blaze.DataAnim.Plane==false){
							Entity.setRenderType(DragonBlaze,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Blaze.DataAnim.Plane==false){
									DragonsPet.Blaze.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Blaze.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Blaze.DataAnim.Plane==true){
				Entity.setRenderType(DragonBlaze,DragonNormalRenderType.renderType);
				DragonsPet.Blaze.DataAnim.TimeP++
				if(DragonsPet.Blaze.DataAnim.TimeP==100){
					DragonsPet.Blaze.DataAnim.TimeP=0;
					DragonsPet.Blaze.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonBlaze= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonBlaze.png");
		Entity.setMaxHealth(DragonBlaze, 1000);
		Entity.setHealth(DragonBlaze,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonBlaze,"images/mob/DragonBlaze.png");
		Entity.setNameTag(DragonBlaze, "Dragon Blaze Fly");			
		Entity.setRenderType(DragonBlaze,DragonUpRenderType.renderType);					
		Entity.rideAnimal(Player.getEntity(),DragonBlaze);
		DragonsPet.Blaze.DataAnim.Animate=true;
		}
	},
	Ocean:{
		BigEntity:[],
		BabyEntity:[],
		
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Ocean.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonOcean)-1||getPlayerX()>Entity.getX(DragonOcean)+1||getPlayerZ()<Entity.getZ(DragonOcean)-1||getPlayerZ()>Entity.getZ(DragonOcean)+1){
					DragonsPet.Ocean.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonOcean),Entity.getY(DragonOcean),Entity.getZ(DragonOcean),EntityType.IRON_GOLEM,"images/mob/DragonOcean.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonOcean));
					Entity.remove(DragonOcean);
					Entity.setMobSkin(poke,"images/mob/DragonOcean.png");
					Entity.setNameTag(poke, "Dragon Ocean");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}				
				DragonsPet.Ocean.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonOcean ,1*xx);
				setVelY(DragonOcean,1*zz);
				setVelZ(DragonOcean,1*yy);		
				switch(DragonsPet.Ocean.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Ocean.DataAnim.Plane==false){
							Entity.setRenderType(DragonOcean,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Ocean.DataAnim.Plane==false){
							Entity.setRenderType(DragonOcean,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Ocean.DataAnim.Plane==false){
							Entity.setRenderType(DragonOcean,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Ocean.DataAnim.Plane==false){
									DragonsPet.Ocean.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Ocean.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Ocean.DataAnim.Plane==true){
				Entity.setRenderType(DragonOcean,DragonNormalRenderType.renderType);
				DragonsPet.Ocean.DataAnim.TimeP++
				if(DragonsPet.Ocean.DataAnim.TimeP==100){
					DragonsPet.Ocean.DataAnim.TimeP=0;
					DragonsPet.Ocean.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonOcean= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonOcean.png");
		Entity.setMaxHealth(DragonOcean, 1000);
		Entity.setHealth(DragonOcean,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonOcean,"images/mob/DragonOcean.png");
		Entity.setNameTag(DragonOcean, "Dragon Ocean Fly");			
		Entity.setRenderType(DragonOcean,DragonUpRenderType.renderType);					
		Entity.rideAnimal(Player.getEntity(),DragonOcean);
		DragonsPet.Ocean.DataAnim.Animate=true;
		}
	},	
	Aether:{
		BigEntity:[],
		BabyEntity:[],
		
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Aether.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonAether)-1||getPlayerX()>Entity.getX(DragonAether)+1||getPlayerZ()<Entity.getZ(DragonAether)-1||getPlayerZ()>Entity.getZ(DragonAether)+1){
					DragonsPet.Aether.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonAether),Entity.getY(DragonAether),Entity.getZ(DragonAether),EntityType.IRON_GOLEM,"images/mob/DragonAether.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonAether));
					Entity.remove(DragonAether);
					Entity.setMobSkin(poke,"images/mob/DragonAether.png");
					Entity.setNameTag(poke, "Dragon Aether");
					Entity.setRenderType(poke,DragonStopRenderType.renderType);
				}				
				DragonsPet.Aether.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonAether ,1*xx);
				setVelY(DragonAether,1*zz);
				setVelZ(DragonAether,1*yy);		
				switch(DragonsPet.Aether.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Aether.DataAnim.Plane==false){
							Entity.setRenderType(DragonAether,DragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Aether.DataAnim.Plane==false){
							Entity.setRenderType(DragonAether,DragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Aether.DataAnim.Plane==false){
							Entity.setRenderType(DragonAether,DragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Aether.DataAnim.Plane==false){
									DragonsPet.Aether.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Aether.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Aether.DataAnim.Plane==true){
				Entity.setRenderType(DragonAether,DragonNormalRenderType.renderType);
				DragonsPet.Aether.DataAnim.TimeP++
				if(DragonsPet.Aether.DataAnim.TimeP==100){
					DragonsPet.Aether.DataAnim.TimeP=0;
					DragonsPet.Aether.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonAether= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonAether.png");
		Entity.setMaxHealth(DragonAether, 1000);
		Entity.setHealth(DragonAether,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonAether,"images/mob/DragonAether.png");
		Entity.setNameTag(DragonAether, "Dragon Aether Fly");			
		Entity.setRenderType(DragonAether,DragonUpRenderType.renderType);					
			Entity.rideAnimal(Player.getEntity(),DragonAether);
			DragonsPet.Aether.DataAnim.Animate=true;
		}
	},
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	AnfisbaenaDiamond:{
		BigEntity:[],
		BabyEntity:[],
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.AnfisbaenaDiamond.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonAnfisbaenaDiamond)-1||getPlayerX()>Entity.getX(DragonAnfisbaenaDiamond)+1||getPlayerZ()<Entity.getZ(DragonAnfisbaenaDiamond)-1||getPlayerZ()>Entity.getZ(DragonAnfisbaenaDiamond)+1){
					DragonsPet.AnfisbaenaDiamond.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonAnfisbaenaDiamond),Entity.getY(DragonAnfisbaenaDiamond),Entity.getZ(DragonAnfisbaenaDiamond),EntityType.IRON_GOLEM,"images/mob/DragonAnfisbaenaDiamond.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonAnfisbaenaDiamond));
					Entity.remove(DragonAnfisbaenaDiamond);
					Entity.setMobSkin(poke,"images/mob/DragonAnfisbaenaDiamond.png");
					Entity.setNameTag(poke, "Dragon Anfisbaena Diamond");
					Entity.setRenderType(poke,HeadsDragonStopRenderType.renderType);
				}
				DragonsPet.AnfisbaenaDiamond.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonAnfisbaenaDiamond ,1*xx);
				setVelY(DragonAnfisbaenaDiamond,1*zz);
				setVelZ(DragonAnfisbaenaDiamond,1*yy);		
				switch(DragonsPet.AnfisbaenaDiamond.DataAnim.TimeR){
					case 3:
						if(DragonsPet.AnfisbaenaDiamond.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaenaDiamond,HeadsDragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.AnfisbaenaDiamond.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaenaDiamond,HeadsDragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.AnfisbaenaDiamond.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaenaDiamond,HeadsDragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.AnfisbaenaDiamond.DataAnim.Plane==false){
									DragonsPet.AnfisbaenaDiamond.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.AnfisbaenaDiamond.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.AnfisbaenaDiamond.DataAnim.Plane==true){
				Entity.setRenderType(DragonAnfisbaenaDiamond,HeadsDragonNormalRenderType.renderType);
				DragonsPet.AnfisbaenaDiamond.DataAnim.TimeP++
				if(DragonsPet.AnfisbaenaDiamond.DataAnim.TimeP==100){
					DragonsPet.AnfisbaenaDiamond.DataAnim.TimeP=0;
					DragonsPet.AnfisbaenaDiamond.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonAnfisbaenaDiamond= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonAnfisbaenaDiamond.png");
		Entity.setMaxHealth(DragonAnfisbaenaDiamond, 1000);
		Entity.setHealth(DragonAnfisbaenaDiamond,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonAnfisbaenaDiamond,"images/mob/DragonAnfisbaenaDiamond.png");
		Entity.setNameTag(DragonAnfisbaenaDiamond, "Dragon Anfisbaena Diamond Fly");			
		Entity.setRenderType(DragonAnfisbaenaDiamond,HeadsDragonUpRenderType.renderType);	
		Entity.rideAnimal(Player.getEntity(),DragonAnfisbaenaDiamond);
		DragonsPet.AnfisbaenaDiamond.DataAnim.Animate=true;
		}
	},
	Anfisbaena:{
		BigEntity:[],
		BabyEntity:[],
		DataAnim:{Animate:false,Plane:false,TimeP:0,TimeR:0},	
		Anim:function(){
			if(DragonsPet.Anfisbaena.DataAnim.Animate==true){
				if(getPlayerX()<Entity.getX(DragonAnfisbaena)-1||getPlayerX()>Entity.getX(DragonAnfisbaena)+1||getPlayerZ()<Entity.getZ(DragonAnfisbaena)-1||getPlayerZ()>Entity.getZ(DragonAnfisbaena)+1){
					DragonsPet.Anfisbaena.DataAnim.Animate=false;
					poke= Level.spawnMob(Entity.getX(DragonAnfisbaena),Entity.getY(DragonAnfisbaena),Entity.getZ(DragonAnfisbaena),EntityType.IRON_GOLEM,"images/mob/DragonAnfisbaena.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,Entity.getHealth(DragonAnfisbaena));
					Entity.remove(DragonAnfisbaena);
					Entity.setMobSkin(poke,"images/mob/DragonAnfisbaena.png");
					Entity.setNameTag(poke, "Dragon Anfisbaena");
					Entity.setRenderType(poke,HeadsDragonStopRenderType.renderType);
				}
				DragonsPet.Anfisbaena.DataAnim.TimeR++;
				var p=((Entity.getPitch(getPlayerEnt())+90)*Math.PI)/180;
				var y=((Entity.getYaw(getPlayerEnt())+90)*Math.PI)/180;
				var xx=Math.sin(p)*Math.cos(y);
				var yy=Math.sin(p)*Math.sin(y);
				var zz=Math.cos(p);     
				setVelX(DragonAnfisbaena ,1*xx);
				setVelY(DragonAnfisbaena,1*zz);
				setVelZ(DragonAnfisbaena,1*yy);		
				switch(DragonsPet.Anfisbaena.DataAnim.TimeR){
					case 3:
						if(DragonsPet.Anfisbaena.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaena,HeadsDragonUpRenderType.renderType);		
						}				
					break;
					case 6:
						if(DragonsPet.Anfisbaena.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaena,HeadsDragonNormalRenderType.renderType);
						}
					break;
					case 12:
						if(DragonsPet.Anfisbaena.DataAnim.Plane==false){
							Entity.setRenderType(DragonAnfisbaena,HeadsDragonDownRenderType.renderType);							
						}
						var r=Math.floor(Math.random()*50);
						switch(r){
							case 1:
								if(DragonsPet.Anfisbaena.DataAnim.Plane==false){
									DragonsPet.Anfisbaena.DataAnim.Plane=true;					
								}
							break	
						}
						DragonsPet.Anfisbaena.DataAnim.TimeR=0;
					break
				}	
			}
			if(DragonsPet.Anfisbaena.DataAnim.Plane==true){
				Entity.setRenderType(DragonAnfisbaena,HeadsDragonNormalRenderType.renderType);
				DragonsPet.Anfisbaena.DataAnim.TimeP++
				if(DragonsPet.Anfisbaena.DataAnim.TimeP==100){
					DragonsPet.Anfisbaena.DataAnim.TimeP=0;
					DragonsPet.Anfisbaena.DataAnim.Plane=false;
				}
			}			
			
		},
		setFly:function(victim){
		DragonAnfisbaena= Level.spawnMob(Entity.getX(victim),Entity.getY(victim),Entity.getZ(victim),EntityType.BAT,"images/mob/DragonAnfisbaena.png");
		Entity.setMaxHealth(DragonAnfisbaena, 1000);
		Entity.setHealth(DragonAnfisbaena,Entity.getHealth(victim));
		Entity.remove(victim);
		Entity.setMobSkin(DragonAnfisbaena,"images/mob/DragonAnfisbaena.png");
		Entity.setNameTag(DragonAnfisbaena, "Dragon Anfisbaena Fly");			
		Entity.setRenderType(DragonAnfisbaena,HeadsDragonUpRenderType.renderType);	
		Entity.rideAnimal(Player.getEntity(),DragonAnfisbaena);
		DragonsPet.Anfisbaena.DataAnim.Animate=true;
		}
	},	
	EggHatches:{
		Eggs:[],
		Tick:function(){
			for(var g in DragonsPet.EggHatches.Eggs){
				Entity.setVelX(DragonsPet.EggHatches.Eggs[g],0);
				Entity.setVelY(DragonsPet.EggHatches.Eggs[g],0);
				Entity.setVelZ(DragonsPet.EggHatches.Eggs[g],0);
				Entity.setRot(DragonsPet.EggHatches.Eggs[g],0,0);
				var randomec=Math.floor(Math.random()*250);
				switch(randomec){
					case 1:					
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Blaze"){
							Blaze=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/blaze.png");
							Entity.setMobSkin(Blaze,"images/mob/blaze.png");
							Entity.setNameTag(Blaze, "Baby Blaze Dragon");
							Entity.setMaxHealth(Blaze, 60);
							Entity.setHealth(Blaze,60);
							Entity.setRenderType(Blaze,BabyDragonRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}					
					break;
					case 2:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Ocean"){
							Ocean=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/blaze.png");
							Entity.setMobSkin(Ocean,"images/mob/ocean.png");
							Entity.setNameTag(Ocean, "Baby Ocean Dragon");
							Entity.setMaxHealth(Ocean, 60);
							Entity.setHealth(Ocean,60);
							Entity.setRenderType(Ocean,BabyDragonRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;
					case 3:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Cloud"){
							Cloud=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/cloud.png");
							Entity.setMobSkin(Cloud,"images/mob/cloud.png");
							Entity.setNameTag(Cloud, "Baby Cloud Dragon");
							Entity.setMaxHealth(Cloud, 60);
							Entity.setHealth(Cloud,60);
							Entity.setRenderType(Cloud,BabyDragonRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;	
					case 4:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon End"){
							End=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/cloud.png");
							Entity.setMobSkin(End,"images/mob/end.png");
							Entity.setNameTag(End, "Baby End Dragon");
							Entity.setMaxHealth(End, 60);
							Entity.setHealth(End,60);
							Entity.setRenderType(End,BabyDragonRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;
					case 5:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Jungle"){
							Jungle=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/cloud.png");
							Entity.setMobSkin(Jungle,"images/mob/jungle.png");
							Entity.setNameTag(Jungle, "Baby Jungle Dragon");
							Entity.setMaxHealth(Jungle, 60);
							Entity.setHealth(Jungle,60);
							Entity.setRenderType(Jungle,BabyDragonRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;
					case 6:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Anfisbaena"){
							Anfisbaena=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/anfisbaena.png");
							Entity.setMobSkin(Anfisbaena,"images/mob/anfisbaena.png");
							Entity.setNameTag(Anfisbaena, "Baby Anfisbaena Dragon");
							Entity.setMaxHealth(Anfisbaena, 60);
							Entity.setHealth(Anfisbaena,60);
							Entity.setRenderType(Anfisbaena,BabyDragonHeadsRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;
					case 7:
						if(Entity.getNameTag(DragonsPet.EggHatches.Eggs[g])=="Egg Dragon Anfisbaena Diamond"){
							Anfisbaena=Level.spawnMob(Entity.getX(DragonsPet.EggHatches.Eggs[g]),Entity.getY(DragonsPet.EggHatches.Eggs[g]),Entity.getZ(DragonsPet.EggHatches.Eggs[g]),EntityType.IRON_GOLEM,"images/mob/diamond.png");
							Entity.setMobSkin(Anfisbaena,"images/mob/diamond.png");
							Entity.setNameTag(Anfisbaena, "Baby Anfisbaena Diamond Dragon");
							Entity.setMaxHealth(Anfisbaena, 60);
							Entity.setHealth(Anfisbaena,60);
							Entity.setRenderType(Anfisbaena,BabyDragonHeadsRenderType.renderType);
							Entity.remove(DragonsPet.EggHatches.Eggs[g]);
							DragonsPet.EggHatches.Eggs.splice(g,1);
						}
					break;						
				}	
			}	
		}
	}
}

function newLevel()
{
clientMessage(ChatColor.BLUE+"Dragon Mount PE "+ChatColor.RED+"By Wartave");
var ctx = com.mojang.minecraftpe.MainActivity.currentMainActivity.get();
ctx.runOnUiThread(new java.lang.Runnable()
	{
		run: function()
		{
			try
			{
				android.widget.Toast.makeText(ctx, new android.text.Html.fromHtml("Dragon Mount PE"), 0).show();
				 android.widget.Toast.makeText(ctx, new android.text.Html.fromHtml("by Wartave"), 0).show();
				
			}catch(err)
			{
				clientMessage("Error: " + err);
			}
		}
	});
}	
//Dragon Jungle Fly
//DragonsPet.Jungle.setFly(v);

function leaveGame(){
	DragonsPet.AnfisbaenaDiamond.DataAnim.Animate=false;
	DragonsPet.Anfisbaena.DataAnim.Animate=false;
	DragonsPet.Jungle.DataAnim.Animate=false;
	DragonsPet.Aether.DataAnim.Animate=false;
	DragonsPet.Ocean.DataAnim.Animate=false;
	DragonsPet.Blaze.DataAnim.Animate=false;
	DragonsPet.Cloud.DataAnim.Animate=false;
	DragonsPet.End.DataAnim.Animate=false;
}

function attackHook(a,v){
	switch(Entity.getNameTag(v)){
		case "Dragon Anfisbaena Diamond":
			preventDefault();
			if(DragonsPet.AnfisbaenaDiamond.DataAnim.Animate==false){
				DragonsPet.AnfisbaenaDiamond.setFly(v);	
			}	
		break;			
		case "Dragon Anfisbaena":
			preventDefault();
			if(DragonsPet.Anfisbaena.DataAnim.Animate==false){
				DragonsPet.Anfisbaena.setFly(v);		
			}		
		break;
		case "Dragon Jungle":
			preventDefault();
			if(DragonsPet.Jungle.DataAnim.Animate==false){
				DragonsPet.Jungle.setFly(v);		
			}
		break;
		case "Dragon Aether":
			preventDefault();
			if(DragonsPet.Aether.DataAnim.Animate==false){
				DragonsPet.Aether.setFly(v);		
			}		
		break;
		case "Dragon Ocean":
			preventDefault();
			if(DragonsPet.Ocean.DataAnim.Animate==false){
				DragonsPet.Ocean.setFly(v);		
			}		
		break;		
		case "Dragon Blaze":
			preventDefault();
			if(DragonsPet.Blaze.DataAnim.Animate==false){
				DragonsPet.Blaze.setFly(v);		
			}		
		break;
		case "Dragon Cloud":
			preventDefault();
			if(DragonsPet.Cloud.DataAnim.Animate==false){
				DragonsPet.Cloud.setFly(v);		
			}		
		break;
		case "Dragon End":
			preventDefault();
			if(DragonsPet.End.DataAnim.Animate==false){
				DragonsPet.End.setFly(v);	
			}		
		break;		
//================== huevos =====================		
		case "Dragon Egg Empty":
			preventDefault();
			switch(Player.getCarriedItem()){
				case 369:
				case 377:
					Entity.setMobSkin(v,"images/mob/eggBlaze.png");
					Entity.setNameTag(v,"Egg Dragon Blaze");	
					Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());		
				break
				case 325:
				if(Player.getCarriedItemData()==8){
					Entity.setMobSkin(v,"images/mob/eggOcean.png");
					Entity.setNameTag(v,"Egg Dragon Ocean");	
					Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());		
				}
				break
				case 288:
					Entity.setMobSkin(v,"images/mob/eggCloud.png");
					Entity.setNameTag(v,"Egg Dragon Cloud");
					Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				break;			
				case 49:
					Entity.setMobSkin(v,"images/mob/eggEnd.png");
					Entity.setNameTag(v,"Egg Dragon End");
				break;
				case 6:
				case 18:
				case 106:
				case 31:
					Entity.setMobSkin(v,"images/mob/eggJungle.png");
					Entity.setNameTag(v,"Egg Dragon Jungle");
				break;	
				case 48:
					Entity.setMobSkin(v,"images/mob/eggAnfisbaena.png");
					Entity.setNameTag(v,"Egg Dragon Anfisbaena");
				break;
				case 264:
					Entity.setMobSkin(v,"images/mob/eggDiamond.png");
					Entity.setNameTag(v,"Egg Dragon Anfisbaena Diamond");
				break;				
			}
		break;
//================== bebes =====================

		case "Baby Anfisbaena Diamond Dragon":
			preventDefault();
			if(Player.getCarriedItem()==264){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
					poke= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonAnfisbaenaDiamond.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,1000);
					Entity.remove(v);
					Entity.setMobSkin(poke,"images/mob/DragonAnfisbaenaDiamond.png");
					Entity.setNameTag(poke, "Dragon Anfisbaena Diamond");
					Entity.setRenderType(poke,HeadsDragonStopRenderType.renderType);
					break;
		
				}
			}
		break;
		case "Baby Anfisbaena Dragon":
			preventDefault();
			if(Player.getCarriedItem()==48){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
					poke= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonAnfisbaena.png");
					Entity.setMaxHealth(poke, 1000);
					Entity.setHealth(poke,1000);
					Entity.remove(v);
					Entity.setMobSkin(poke,"images/mob/DragonAnfisbaena.png");
					Entity.setNameTag(poke, "Dragon Anfisbaena");
					Entity.setRenderType(poke,HeadsDragonStopRenderType.renderType);
					break;
		
				}
			}
		break;
		case "Baby Jungle Dragon":
			preventDefault();
			if(Player.getCarriedItem()==6||Player.getCarriedItem()==18||Player.getCarriedItem()==31){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
						DragonB= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonJungle.png");
						Entity.remove(v);
						Entity.setMobSkin(DragonB,"images/mob/DragonJungle.png");
						Entity.setNameTag(DragonB, "Dragon Jungle");
						Entity.setMaxHealth(DragonB, 1000);
						Entity.setHealth(DragonB,1000);
						Entity.setRenderType(DragonB,DragonStopRenderType.renderType);	
					break;
		
				}
			}
		break;
		case "Baby End Dragon":
			preventDefault();
			if(Player.getCarriedItem()==49){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
						DragonB= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonEnd.png");
						Entity.remove(v);
						Entity.setMobSkin(DragonB,"images/mob/DragonEnd.png");
						Entity.setNameTag(DragonB, "Dragon End");
						Entity.setMaxHealth(DragonB, 1000);
						Entity.setHealth(DragonB,1000);
						Entity.setRenderType(DragonB,DragonStopRenderType.renderType);	
					break;
		
				}
			}
		break;
		case "Baby Ocean Dragon":
			preventDefault();
			if(Player.getCarriedItem()==325&&Player.getCarriedItemData()==8||Player.getCarriedItem()==373||Player.getCarriedItem()==438){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,Player.getCarriedItemData());
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
						DragonB= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonOcean.png");
						Entity.remove(v);
						Entity.setMobSkin(DragonB,"images/mob/DragonOcean.png");
						Entity.setNameTag(DragonB, "Dragon Ocean");
						Entity.setMaxHealth(DragonB, 1000);
						Entity.setHealth(DragonB,1000);
						Entity.setRenderType(DragonB,DragonStopRenderType.renderType);	
					break;
		
				}
			}
		break;
		
		case "Baby Blaze Dragon":
			preventDefault();
			if(Player.getCarriedItem()==369||Player.getCarriedItem()==377){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,0);
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
						DragonB= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonBlaze.png");
						Entity.remove(v);
						Entity.setMobSkin(DragonB,"images/mob/DragonBlaze.png");
						Entity.setNameTag(DragonB, "Dragon Blaze");
						Entity.setMaxHealth(DragonB, 1000);
						Entity.setHealth(DragonB,1000);
						Entity.setRenderType(DragonB,DragonStopRenderType.renderType);	
					break;
		
				}
			}
		break;	
		case "Baby Cloud Dragon":
			preventDefault();
			if(Player.getCarriedItem()==288){
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				Level.addParticle(ParticleType.heart, Entity.getX(v) +Math.random() * 2-1, Entity.getY(v) +Math.random() * 2-1, Entity.getZ(v) +Math.random() * 2-1,0,0,0,1);
				if(Entity.getHealth(v)<Entity.getMaxHealth(v)){
					Entity.setHealth(v,Entity.getHealth(v)+1);	
				}
				Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,0);
				var randomec=Math.floor(Math.random()*30);
				switch(randomec){
					case 20:
						DragonB= Level.spawnMob(Entity.getX(v),Entity.getY(v),Entity.getZ(v),EntityType.IRON_GOLEM,"images/mob/DragonCloud.png");
						Entity.remove(v);
						Entity.setMobSkin(DragonB,"images/mob/DragonCloud.png");
						Entity.setNameTag(DragonB, "Dragon Cloud");
						Entity.setMaxHealth(DragonB, 300);
						Entity.setHealth(DragonB,300);
						Entity.setRenderType(DragonB,DragonStopRenderType.renderType);	
					break;
		
				}
			}
		break;			
	}	
}

function entityAddedHook(entity){
		switch(Entity.getNameTag(entity)){
		case "Dragon Aether Fly":
			DragonsPet.Aether.setFly(entity);
		break;			
		case "Dragon Ocean Fly":
			DragonsPet.Ocean.setFly(entity);
		break;			
		case "Dragon Blaze Fly":
			DragonsPet.Blaze.setFly(entity);
		break;			
		case "Dragon Cloud Fly":
			DragonsPet.Cloud.setFly(entity);
		break;			
		case "Dragon End Fly":
			DragonsPet.End.setFly(entity);
		break;				
		case "Dragon Anfisbaena Diamond Fly":
			DragonsPet.AnfisbaenaDiamond.setFly(entity);
		break;	
		case "Dragon Anfisbaena Fly":
			DragonsPet.Anfisbaena.setFly(entity);
		break;
		case "Dragon Jungle Fly":
			DragonsPet.Jungle.setFly(entity);
		break;	
/////////////////////////////////////////////		
		case "Dragon Jungle":
			Entity.setMobSkin(entity,"images/mob/DragonJungle.png");
			Entity.setRenderType(entity,HeadsDragonStopRenderType.renderType);	
		break;			
		case "Dragon Anfisbaena":
			Entity.setMobSkin(entity,"images/mob/DragonAnfisbaena.png");
			Entity.setRenderType(entity,HeadsDragonStopRenderType.renderType);	
		break;
		case "Dragon Anfisbaena Diamond":
			Entity.setMobSkin(entity,"images/mob/DragonAnfisbaenaDiamond.png");
			Entity.setRenderType(entity,HeadsDragonStopRenderType.renderType);	
		break;			
		case "Dragon End":
			Entity.setMobSkin(entity,"images/mob/DragonEnd.png");
			Entity.setRenderType(entity,DragonStopRenderType.renderType);
		break;			
		case "Dragon Aether":
	
		break;
		case "Dragon Ocean":
			Entity.setMobSkin(entity,"images/mob/DragonOcean.png");
			Entity.setRenderType(entity,DragonStopRenderType.renderType);	
		break;
		case "Dragon Blaze":
			Entity.setMobSkin(entity,"images/mob/DragonBlaze.png");
			Entity.setRenderType(entity,DragonStopRenderType.renderType);	
		break;
		case "Dragon Cloud":
			Entity.setMobSkin(entity,"images/mob/DragonCloud.png");
			Entity.setRenderType(entity,DragonStopRenderType.renderType);	
		break;	
//==================== bebes ====================

		case "Baby Anfisbaena Diamond Dragon":
			Entity.setMobSkin(entity,"images/mob/diamond.png");
			Entity.setRenderType(entity,BabyDragonHeadsRenderType.renderType);		
		break;
		
		case "Baby Anfisbaena Dragon":
			Entity.setMobSkin(entity,"images/mob/anfisbaena.png");
			Entity.setRenderType(entity,BabyDragonHeadsRenderType.renderType);		
		break;
		case "Baby Jungle Dragon":
			Entity.setMobSkin(entity,"images/mob/jungle.png");
			Entity.setRenderType(entity,BabyDragonRenderType.renderType);		
		break;
		case "Baby End Dragon":
			Entity.setMobSkin(entity,"images/mob/end.png");
			Entity.setRenderType(entity,BabyDragonRenderType.renderType);		
		break;	
		case "Baby Cloud Dragon":
			Entity.setMobSkin(entity,"images/mob/cloud.png");
			Entity.setRenderType(entity,BabyDragonRenderType.renderType);		
		break;	
		case "Baby Blaze Dragon":
			Entity.setMobSkin(entity,"images/mob/blaze.png");
			Entity.setRenderType(entity,BabyDragonRenderType.renderType);		
		break;			
		case "Baby Ocean Dragon":
			Entity.setMobSkin(entity,"images/mob/ocean.png");
			Entity.setRenderType(entity,BabyDragonRenderType.renderType);		
		break;			
//==================== huevos ====================
		case "Egg Dragon Anfisbaena Diamond":
			Entity.setMobSkin(entity,"images/mob/eggDiamond.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		
		case "Egg Dragon Anfisbaena":
			Entity.setMobSkin(entity,"images/mob/eggAnfisbaena.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		case "Egg Dragon Jungle":
			Entity.setMobSkin(entity,"images/mob/eggJungle.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		case "Egg Dragon End":
			Entity.setMobSkin(entity,"images/mob/eggEnd.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		case "Egg Dragon Cloud":
			Entity.setMobSkin(entity,"images/mob/eggCloud.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealtEntity.setRenderType(entity,EggDragonRenderType.renderType);h(entity,10000);
			
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		case "Dragon Egg Ocean":
			Entity.setMobSkin(entity,"images/mob/eggOcean.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;
		case "Dragon Egg Empty":
			Entity.setMobSkin(entity,"images/mob/egg.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			DragonsPet.EggHatches.Eggs.push(entity);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
		break;
		case "Egg Dragon Blaze":
			Entity.setMobSkin(entity,"images/mob/eggBlaze.png");
			Entity.setMaxHealth(entity, 10000);
			Entity.setHealth(entity,10000);
			Entity.setRenderType(entity,EggDragonRenderType.renderType);
			DragonsPet.EggHatches.Eggs.push(entity);
		break;		
	}
}




function useItem(x,y,z,i,b,s){
	if(i==EggId){
		Entity.setCarriedItem(getPlayerEnt(),Player.getCarriedItem(),Player.getCarriedItemCount()-1,0);
		Eggs= Level.spawnMob(x,y+1,z,15,"images/mob/egg.png");
		Entity.setMobSkin(Eggs,"images/mob/egg.png");
		Entity.setNameTag(Eggs,"Dragon Egg Empty");
		Entity.setMaxHealth(Eggs, 1000);
		Entity.setHealth(Eggs,1000);
		Entity.setRenderType(Eggs,EggDragonRenderType.renderType);
		DragonsPet.EggHatches.Eggs.push(Eggs);
	}		
}

function modTick(){
	DragonsPet.AnfisbaenaDiamond.Anim();
	DragonsPet.Anfisbaena.Anim();
	DragonsPet.Aether.Anim();
	DragonsPet.Ocean.Anim();
	DragonsPet.Blaze.Anim();
	DragonsPet.Cloud.Anim();
	DragonsPet.End.Anim();
	DragonsPet.Jungle.Anim();
	DragonsPet.EggHatches.Tick();
}

function addDragonUpRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 58);
body.addBox(-6,8,-9, 12, 11, 20);
body.setTextureOffset( 0, 25);
body.addBox(-3.5,8,-13, 7, 7, 6);
body.setTextureOffset( 77, 0);
body.addBox(-4,4,-34, 9, 9, 9);
body.setTextureOffset( 0, 0);
body.addBox(-3,7,-18, 6, 7, 5);
body.setTextureOffset( 32, 0);
body.addBox(-3,6.5,-22, 6, 7, 4);
body.setTextureOffset( 32, 26);
body.addBox(-3,6,-25, 6, 7, 3);
body.setTextureOffset( 131, 0);
body.addBox(-3,8,-43, 7, 5, 9);
body.setTextureOffset( 180, 0);
body.addBox(-5,2.7,-28, 3, 3, 8);
body.setTextureOffset( 180, 0);
body.addBox(3,2.7,-28, 3, 3, 8);
body.setTextureOffset( 0, 108);
body.addBox(-3.5,8.5,11, 7, 7, 5);
body.setTextureOffset( 0, 126);
body.addBox(-3,9,16, 6, 7, 7);
body.setTextureOffset( 0, 152);
body.addBox(-2.5,9.5,23, 5, 7, 8);
body.setTextureOffset( 0, 179);
body.addBox(-2.5,11,30, 5, 6, 8);
body.setTextureOffset( 0, 208);
body.addBox(-2,12.5,38, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-2,12,42, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-1.5,10,47, 3, 4, 7);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,6, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,6, 4, 11, 4);
body.setTextureOffset( 113, 30);
body.addBox(3,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(3,20,-5, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,19,-5, 4, 7, 3);
body.setTextureOffset( 167, 68,true);
body.addBox(3,-51,-9, 1, 59, 27);
body.setTextureOffset( 167, 164,true);
body.addBox(-4,-51,-9, 1, 59, 27);
}


function addDragonNormalRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 58);
body.addBox(-6,8,-9, 12, 11, 20);
body.setTextureOffset( 0, 25);
body.addBox(-3.5,8,-13, 7, 7, 6);
body.setTextureOffset( 77, 0);
body.addBox(-4,4,-34, 9, 9, 9);
body.setTextureOffset( 0, 0);
body.addBox(-3,7,-18, 6, 7, 5);
body.setTextureOffset( 32, 0);
body.addBox(-3,6.5,-22, 6, 7, 4);
body.setTextureOffset( 32, 26);
body.addBox(-3,6,-25, 6, 7, 3);
body.setTextureOffset( 131, 0);
body.addBox(-3,8,-43, 7, 5, 9);
body.setTextureOffset( 180, 0);
body.addBox(-5,2.7,-28, 3, 3, 8);
body.setTextureOffset( 180, 0);
body.addBox(3,2.7,-28, 3, 3, 8);
body.setTextureOffset( 0, 108);
body.addBox(-3.5,8.5,11, 7, 7, 5);
body.setTextureOffset( 0, 126);
body.addBox(-3,9,16, 6, 7, 7);
body.setTextureOffset( 0, 152);
body.addBox(-2.5,9.5,23, 5, 7, 8);
body.setTextureOffset( 0, 179);
body.addBox(-2.5,11,30, 5, 6, 8);
body.setTextureOffset( 0, 208);
body.addBox(-2,12.5,38, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-2,12,42, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-1.5,10,47, 3, 4, 7);
body.setTextureOffset( 237, 5,true);
body.addBox(2,7,-9, 59, 1, 27);
body.setTextureOffset( 237, 43,true);
body.addBox(-61,7,-9, 59, 1, 27);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,6, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,6, 4, 11, 4);
body.setTextureOffset( 113, 30);
body.addBox(3,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(3,20,-5, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,19,-5, 4, 7, 3);
}

function addDragonDownRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 58);
body.addBox(-6,8,-9, 12, 11, 20);
body.setTextureOffset( 0, 25);
body.addBox(-3.5,8,-13, 7, 7, 6);
body.setTextureOffset( 77, 0);
body.addBox(-4,4,-34, 9, 9, 9);
body.setTextureOffset( 0, 0);
body.addBox(-3,7,-18, 6, 7, 5);
body.setTextureOffset( 32, 0);
body.addBox(-3,6.5,-22, 6, 7, 4);
body.setTextureOffset( 32, 26);
body.addBox(-3,6,-25, 6, 7, 3);
body.setTextureOffset( 131, 0);
body.addBox(-3,8,-43, 7, 5, 9);
body.setTextureOffset( 180, 0);
body.addBox(-5,2.7,-28, 3, 3, 8);
body.setTextureOffset( 180, 0);
body.addBox(3,2.7,-28, 3, 3, 8);
body.setTextureOffset( 0, 108);
body.addBox(-3.5,8.5,11, 7, 7, 5);
body.setTextureOffset( 0, 126);
body.addBox(-3,9,16, 6, 7, 7);
body.setTextureOffset( 0, 152);
body.addBox(-2.5,9.5,23, 5, 7, 8);
body.setTextureOffset( 0, 179);
body.addBox(-2.5,11,30, 5, 6, 8);
body.setTextureOffset( 0, 208);
body.addBox(-2,12.5,38, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-2,12,42, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-1.5,10,47, 3, 4, 7);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,-8, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(3,12,6, 4, 11, 4);
body.setTextureOffset( 79, 34);
body.addBox(-7,12,6, 4, 11, 4);
body.setTextureOffset( 113, 30);
body.addBox(3,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,20,9, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(3,20,-5, 4, 7, 3);
body.setTextureOffset( 113, 30);
body.addBox(-7,19,-5, 4, 7, 3);
body.setTextureOffset( 81, 68,true);
body.addBox(7,7,-9, 1, 59, 27);
body.setTextureOffset( 82, 160,true);
body.addBox(-8,7,-9, 1, 59, 27);
}

function addDragonStopRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 58);
body.addBox(-6,8,-9, 12, 11, 20);
body.setTextureOffset( 77, 0);
body.addBox(-4,-15,-16, 9, 9, 9);
body.setTextureOffset( 131, 0);
body.addBox(-3,-11,-25, 7, 5, 9);
body.setTextureOffset( 180, 0);
body.addBox(-5,-16.3,-10, 3, 3, 8);
body.setTextureOffset( 180, 0);
body.addBox(3,-16.3,-10, 3, 3, 8);
body.setTextureOffset( 0, 108);
body.addBox(-3.5,8.5,11, 7, 7, 5);
body.setTextureOffset( 0, 126);
body.addBox(-3,9,16, 6, 7, 7);
body.setTextureOffset( 0, 152);
body.addBox(-2.5,9.5,23, 5, 7, 8);
body.setTextureOffset( 0, 179);
body.addBox(-2.5,11,30, 5, 6, 8);
body.setTextureOffset( 0, 208);
body.addBox(-2,12.5,38, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-2,12,42, 4, 5, 8);
body.setTextureOffset( 0, 227);
body.addBox(-1.5,10,47, 3, 4, 7);
body.setTextureOffset( 485, 230,true);
body.addBox(-7,12,-8, 4, 12, 4);
body.setTextureOffset( 485, 230,true);
body.addBox(3,12,-8, 4, 12, 4);
body.setTextureOffset( 485, 230,true);
body.addBox(3,12,6, 4, 12, 4);
body.setTextureOffset( 485, 230,true);
body.addBox(-7,12,6, 4, 12, 4);
body.setTextureOffset( 290, 118,true);
body.addBox(-3,-6,-14, 7, 21, 7);
body.setTextureOffset( 286, 167,true);
body.addBox(8,8,-9, 1, 20, 59);
body.setTextureOffset( 385, 131,true);
body.addBox(-8,8,-9, 1, 20, 59);
}

function addBabyDragonRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(128, 64);
var body = model.getPart("body").clear().setTextureSize(128, 64);
var rArm = model.getPart("rightArm").clear().setTextureSize(128, 64);
var lArm = model.getPart("leftArm").clear().setTextureSize(128, 64);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(128, 64);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(128, 64);
body.setTextureOffset( 0, 0,true);
body.addBox(-1.5,3,-8, 5, 5, 5);
body.setTextureOffset( 0, 12,true);
body.addBox(-3,12,-3, 8, 8, 10);
body.setTextureOffset( 0, 42,true);
body.addBox(-1,8,-7, 4, 8, 4);
body.setTextureOffset( 19, 53,true);
body.addBox(-3,16,-4, 3, 8, 3);
body.setTextureOffset( 19, 53,true);
body.addBox(2,16,-4, 3, 8, 3);
body.setTextureOffset( 19, 47,true);
body.addBox(-2,3,-3, 2, 2, 3);
body.setTextureOffset( 19, 47,true);
body.addBox(2,3,-3, 2, 2, 3);
body.setTextureOffset( 0, 31,true);
body.addBox(-1,13.5,15, 4, 5, 5);
body.setTextureOffset( 19, 31,true);
body.addBox(-1.5,13,10, 5, 5, 5);
body.setTextureOffset( 0, 55,true);
body.addBox(-2,13,-6, 6, 6, 3);
body.setTextureOffset( 47, 55,true);
body.addBox(-2,12,7, 6, 6, 3);
body.setTextureOffset( 37, 13,true);
body.addBox(-0.5,15,23, 3, 3, 5);
body.setTextureOffset( 32, 46,true);
body.addBox(-1,14,20, 4, 4, 4);
body.setTextureOffset( 19, 53,true);
body.addBox(2,16,4, 3, 8, 3);
body.setTextureOffset( 19, 53,true);
body.addBox(-3,16,4, 3, 8, 3);
body.setTextureOffset( 32, 57,true);
body.addBox(-0.5,5,-12, 3, 3, 4);
body.setTextureOffset( 76, 0,true);
body.addBox(-20,11,-3, 19, 1, 10);
body.setTextureOffset( 76, 11,true);
body.addBox(3,11,-3, 19, 1, 10);
body.setTextureOffset( 19, 42,true);
body.addBox(-1.5,3.5,0, 1, 1, 3);
body.setTextureOffset( 19, 42,true);
body.addBox(2.5,3.5,0, 1, 1, 3);
}

function addEggDragonRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(64, 32);
var body = model.getPart("body").clear().setTextureSize(64, 32);
var rArm = model.getPart("rightArm").clear().setTextureSize(64, 32);
var lArm = model.getPart("leftArm").clear().setTextureSize(64, 32);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(64, 32);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(64, 32);
body.setTextureOffset( 0, 0,true);
body.addBox(-5,14,-5, 10, 10, 10);

body.setTextureOffset(32, 21,true);
body.addBox(-4,12,-4, 8, 2, 8);

body.setTextureOffset(45, 0,true);
body.addBox(-2,10,-2, 4, 2, 4);
}

////////////////////////////////////////////////////////
function add2HeadsDragonDownRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 0);
body.addBox(-11,8,-9, 21, 11, 25);
body.setTextureOffset( 0, 39);
body.addBox(11,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(11,15,9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,9, 6, 9, 6);
body.setTextureOffset( 0, 0);
body.addBox(10,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(10,11,10, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,10, 5, 4, 4);
body.setTextureOffset( 96, 0);
body.addBox(-9,8.5,16, 17, 9, 8);
body.setTextureOffset( 154, 0);
body.addBox(-8.5,9,24, 16, 8, 11);
body.setTextureOffset( 216, 0);
body.addBox(-7.5,9.5,35, 14, 7, 13);
body.setTextureOffset( 282, 0);
body.addBox(-6.5,10,48, 12, 6, 17);
body.setTextureOffset( 349, 0);
body.addBox(-5.5,10.5,65, 10, 5, 20);
body.setTextureOffset( 416, 0);
body.addBox(-4.5,11,85, 8, 4, 22);
body.setTextureOffset( 0, 61);
body.addBox(0,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 61);
body.addBox(-10,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 81);
body.addBox(0.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 81);
body.addBox(-9.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 102);
body.addBox(2.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 102);
body.addBox(-10.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(3.5,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(-11,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 146);
body.addBox(4,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 146);
body.addBox(-12,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 171);
body.addBox(5,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 171);
body.addBox(-12,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 198);
body.addBox(6,0,-58, 5, 5, 7);
body.setTextureOffset( 0, 198);
body.addBox(-12,0,-58, 5, 5, 7);
body.setTextureOffset( 47, 45);
body.addBox(5.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 0, 220);
body.addBox(8,-2,-61, 4, 4, 7);
body.setTextureOffset( 0, 220);
body.addBox(-13,-2,-61, 4, 4, 7);
body.setTextureOffset( 47, 45);
body.addBox(-15.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 47, 71);
body.addBox(6.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 47, 71);
body.addBox(-14.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 97, 26);
body.addBox(6,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(12,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-9,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-15,-6,-62, 2, 2, 8);
body.setTextureOffset( 211, 86,true);
body.addBox(12,4,-9, 1, 72, 34);
body.setTextureOffset( 297, 88,true);
body.addBox(-14,4,-9, 1, 72, 34);
}


function add2HeadsDragonNormalRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 0);
body.addBox(-11,8,-9, 21, 11, 25);
body.setTextureOffset( 0, 39);
body.addBox(11,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(11,15,9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,9, 6, 9, 6);
body.setTextureOffset( 0, 0);
body.addBox(10,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(10,11,10, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,10, 5, 4, 4);
body.setTextureOffset( 96, 0);
body.addBox(-9,8.5,16, 17, 9, 8);
body.setTextureOffset( 154, 0);
body.addBox(-8.5,9,24, 16, 8, 11);
body.setTextureOffset( 216, 0);
body.addBox(-7.5,9.5,35, 14, 7, 13);
body.setTextureOffset( 282, 0);
body.addBox(-6.5,10,48, 12, 6, 17);
body.setTextureOffset( 349, 0);
body.addBox(-5.5,10.5,65, 10, 5, 20);
body.setTextureOffset( 416, 0);
body.addBox(-4.5,11,85, 8, 4, 22);
body.setTextureOffset( 0, 61);
body.addBox(0,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 61);
body.addBox(-10,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 81);
body.addBox(0.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 81);
body.addBox(-9.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 102);
body.addBox(2.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 102);
body.addBox(-10.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(3.5,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(-11,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 146);
body.addBox(4,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 146);
body.addBox(-12,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 171);
body.addBox(5,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 171);
body.addBox(-12,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 198);
body.addBox(6,0,-58, 5, 5, 7);
body.setTextureOffset( 0, 198);
body.addBox(-12,0,-58, 5, 5, 7);
body.setTextureOffset( 47, 45);
body.addBox(5.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 0, 220);
body.addBox(8,-2,-61, 4, 4, 7);
body.setTextureOffset( 0, 220);
body.addBox(-13,-2,-61, 4, 4, 7);
body.setTextureOffset( 47, 45);
body.addBox(-15.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 47, 71);
body.addBox(6.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 47, 71);
body.addBox(-14.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 97, 26);
body.addBox(6,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(12,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-9,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-15,-6,-62, 2, 2, 8);
body.setTextureOffset( 93, 26,true);
body.addBox(3,6,-9, 72, 1, 34);
body.setTextureOffset( 297, 37,true);
body.addBox(-76,6,-9, 72, 1, 34);
}



function add2HeadsDragonStopRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 0);
body.addBox(-11,8,-9, 21, 11, 25);
body.setTextureOffset( 0, 39);
body.addBox(11,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(11,15,9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,9, 6, 9, 6);
body.setTextureOffset( 0, 0);
body.addBox(10,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(10,11,10, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,10, 5, 4, 4);
body.setTextureOffset( 96, 0);
body.addBox(-9,8.5,16, 17, 9, 8);
body.setTextureOffset( 154, 0);
body.addBox(-8.5,9,24, 16, 8, 11);
body.setTextureOffset( 216, 0);
body.addBox(-7.5,9.5,35, 14, 7, 13);
body.setTextureOffset( 282, 0);
body.addBox(-6.5,10,48, 12, 6, 17);
body.setTextureOffset( 349, 0);
body.addBox(-5.5,10.5,65, 10, 5, 20);
body.setTextureOffset( 416, 0);
body.addBox(-4.5,11,85, 8, 4, 22);
body.setTextureOffset( 0, 61);
body.addBox(0,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 61);
body.addBox(-10,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 81);
body.addBox(0.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 81);
body.addBox(-9.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 102);
body.addBox(2.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 102);
body.addBox(-10.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(3.5,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(-11,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 146);
body.addBox(4,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 146);
body.addBox(-12,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 171);
body.addBox(5,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 171);
body.addBox(-12,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 198);
body.addBox(6,0,-58, 5, 5, 7);
body.setTextureOffset( 0, 198);
body.addBox(-12,0,-58, 5, 5, 7);
body.setTextureOffset( 47, 45);
body.addBox(5.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 0, 220);
body.addBox(8,-2,-61, 4, 4, 7);
body.setTextureOffset( 0, 220);
body.addBox(-13,-2,-61, 4, 4, 7);
body.setTextureOffset( 47, 45);
body.addBox(-15.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 47, 71);
body.addBox(6.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 47, 71);
body.addBox(-14.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 97, 26);
body.addBox(6,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(12,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-9,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-15,-6,-62, 2, 2, 8);
body.setTextureOffset( 215, 141,true);
body.addBox(-12,-23,-9, 1, 34, 73);
body.setTextureOffset( 215, 141,true);
body.addBox(10,-23,-9, 1, 34, 73);
}


function add2HeadsDragonUpRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(512, 256);
var body = model.getPart("body").clear().setTextureSize(512, 256);
var rArm = model.getPart("rightArm").clear().setTextureSize(512, 256);
var lArm = model.getPart("leftArm").clear().setTextureSize(512, 256);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(512, 256);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(512, 256);
body.setTextureOffset( 0, 0);
body.addBox(-11,8,-9, 21, 11, 25);
body.setTextureOffset( 0, 39);
body.addBox(11,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,-9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(11,15,9, 6, 9, 6);
body.setTextureOffset( 0, 39);
body.addBox(-18,15,9, 6, 9, 6);
body.setTextureOffset( 0, 0);
body.addBox(10,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,-8, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(10,11,10, 5, 4, 4);
body.setTextureOffset( 0, 0);
body.addBox(-16,11,10, 5, 4, 4);
body.setTextureOffset( 96, 0);
body.addBox(-9,8.5,16, 17, 9, 8);
body.setTextureOffset( 154, 0);
body.addBox(-8.5,9,24, 16, 8, 11);
body.setTextureOffset( 216, 0);
body.addBox(-7.5,9.5,35, 14, 7, 13);
body.setTextureOffset( 282, 0);
body.addBox(-6.5,10,48, 12, 6, 17);
body.setTextureOffset( 349, 0);
body.addBox(-5.5,10.5,65, 10, 5, 20);
body.setTextureOffset( 416, 0);
body.addBox(-4.5,11,85, 8, 4, 22);
body.setTextureOffset( 0, 61);
body.addBox(0,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 61);
body.addBox(-10,9,-14, 9, 9, 5);
body.setTextureOffset( 0, 81);
body.addBox(0.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 81);
body.addBox(-9.5,8,-21, 8, 8, 7);
body.setTextureOffset( 0, 102);
body.addBox(2.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 102);
body.addBox(-10.5,7,-29, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(3.5,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 124);
body.addBox(-11,5,-37, 7, 7, 8);
body.setTextureOffset( 0, 146);
body.addBox(4,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 146);
body.addBox(-12,3,-44, 7, 7, 7);
body.setTextureOffset( 0, 171);
body.addBox(5,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 171);
body.addBox(-12,1,-51, 6, 6, 7);
body.setTextureOffset( 0, 198);
body.addBox(6,0,-58, 5, 5, 7);
body.setTextureOffset( 0, 198);
body.addBox(-12,0,-58, 5, 5, 7);
body.setTextureOffset( 47, 45);
body.addBox(5.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 0, 220);
body.addBox(8,-2,-61, 4, 4, 7);
body.setTextureOffset( 0, 220);
body.addBox(-13,-2,-61, 4, 4, 7);
body.setTextureOffset( 47, 45);
body.addBox(-15.5,-1,-70, 9, 5, 9);
body.setTextureOffset( 47, 71);
body.addBox(6.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 47, 71);
body.addBox(-14.5,-5,-69, 7, 4, 8);
body.setTextureOffset( 97, 26);
body.addBox(6,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(12,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-9,-6,-62, 2, 2, 8);
body.setTextureOffset( 97, 26);
body.addBox(-15,-6,-62, 2, 2, 8);
body.setTextureOffset( 40, 86,true);
body.addBox(3,-65,-9, 1, 72, 34);
body.setTextureOffset( 124, 86,true);
body.addBox(-5,-65,-9, 1, 72, 34);
}

function addBabyDragonHeadsRenderType(renderer){
var model = renderer.getModel();
var head = model.getPart("head").clear().setTextureSize(128, 64);
var body = model.getPart("body").clear().setTextureSize(128, 64);
var rArm = model.getPart("rightArm").clear().setTextureSize(128, 64);
var lArm = model.getPart("leftArm").clear().setTextureSize(128, 64);
var rLeg = model.getPart("rightLeg").clear().setTextureSize(128, 64);
var lLeg = model.getPart("leftLeg").clear().setTextureSize(128, 64);
body.setTextureOffset(0,0,true);
body.addBox(-4.5,3,-8, 5, 5, 5);
body.setTextureOffset(0,12,true);
body.addBox(-3,12,-3, 8, 8, 10);
body.setTextureOffset(0, 42,true);
body.addBox(-4,8,-7, 4, 8, 4);
body.setTextureOffset( 19, 53,true);
body.addBox(-3,16,-4, 3, 8, 3);
body.setTextureOffset( 19, 53,true);
body.addBox(2,16,-4, 3, 8, 3);
body.setTextureOffset( 19, 47,true);
body.addBox(-5,3,-3, 2, 2, 3);
body.setTextureOffset( 19, 47,true);
body.addBox(-1,3,-3, 2, 2, 3);
body.setTextureOffset( 0, 31,true);
body.addBox(-1,13.5,15, 4, 5, 5);
body.setTextureOffset( 19, 31,true);
body.addBox(-1.5,13,10, 5, 5, 5);
body.setTextureOffset( 0, 55,true);
body.addBox(-2,13,-6, 6, 6, 3);
body.setTextureOffset( 47, 55,true);
body.addBox(-2,12,7, 6, 6, 3);
body.setTextureOffset( 37, 13,true);
body.addBox(-0.5,15,23, 3, 3, 5);
body.setTextureOffset( 32, 46,true);
body.addBox(-1,14,20, 4, 4, 4);
body.setTextureOffset( 19, 53,true);
body.addBox(2,16,4, 3, 8, 3);
body.setTextureOffset( 19, 53,true);
body.addBox(-3,16,4, 3, 8, 3);
body.setTextureOffset( 32, 57,true);
body.addBox(-3.5,5,-12, 3, 3, 4);
body.setTextureOffset( 76, 0,true);
body.addBox(-20,11,-3, 19, 1, 10);
body.setTextureOffset( 76, 11,true);
body.addBox(3,11,-3, 19, 1, 10);
body.setTextureOffset( 0, 42,true);
body.addBox(2,8,-7, 4, 8, 4);
body.setTextureOffset( 0, 0,true);
body.addBox(1.5,3,-8, 5, 5, 5);
body.setTextureOffset( 32, 57,true);
body.addBox(2.5,5,-12, 3, 3, 4);
body.setTextureOffset( 19, 47,true);
body.addBox(1,3,-3, 2, 2, 3);
body.setTextureOffset( 19, 47,true);
body.addBox(5,3,-3, 2, 2, 3);
}